获取 itemPatent

命名空间:microsoft.graph

读取 itemPatent 对象的属性和关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
应用程序 User.ReadBasic.All、User.Read.All、User.ReadWrite.All

HTTP 请求

GET /me/profile/patents/{id}
GET /users/{id | userPrincipalName}/profile/patents/{id}

可选的查询参数

此方法支持 $select 查询参数。 指定要包括在响应中的属性列表,用逗号分隔它们。 为获得最佳性能,请仅选择所需的属性子集。

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 响应代码和 200 OK itemPatent 对象。

示例

请求

GET https://graph.microsoft.com/beta/me/profile/patents/{id}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "me",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "source": null,
  "description": "Calculating the intent of a user to purchase an item based on the amount of time they hover their mouse over a given pixel.",
  "displayName": "Inferring User Intent through browsing behaviors",
  "isPending": true,
  "issuedDate": "Date",
  "issuingAuthority": null,
  "number": "USPTO-3954432633",
  "webUrl": "https://patents.gov/3954432633"
}